//---------------------------------------------------------------------------
#ifndef Unit1H
#define Unit1H
//---------------------------------------------------------------------------
#include <vcl\Classes.hpp>
#include <vcl\Controls.hpp>
#include <vcl\StdCtrls.hpp>
#include <vcl\Forms.hpp>
#include <vcl\ExtCtrls.hpp>
#include "RVEdit.hpp"
#include "RichView.hpp"
#include "RVScroll.hpp"
#include "RVStyle.hpp"
#include <vcl\Dialogs.hpp>
#include <ComCtrls.hpp>
#include <Graphics.hpp>
#include <Menus.hpp>
//---------------------------------------------------------------------------
class TForm1 : public TForm
{
__published:	// IDE-managed Components
	TPanel *Panel1;
	TRichViewEdit *rve;
	TRVStyle *RVStyle1;
	TOpenDialog *od;
        TButton *btnOpen;
        TButton *btnScan;
        TCheckBox *cbAutodetect;
        TCheckBox *cbAutoremove;
        TCheckBox *cbUseCtrl;
        TCheckBox *cbPasteDetect;
        TStatusBar *StatusBar1;
        TPopupMenu *PopupMenu1;
        TMenuItem *mitRemoveHyperlink;
    void __fastcall FormCreate(TObject *Sender);
    void __fastcall btnOpenClick(TObject *Sender);
    void __fastcall btnScanClick(TObject *Sender);
    void __fastcall rveJump(TObject *Sender, int id);
	void __fastcall rveKeyDown(TObject *Sender, WORD &Key, TShiftState Shift);
        void __fastcall rveRVMouseUp(TCustomRichView *Sender,
          TMouseButton Button, TShiftState Shift, int ItemNo, int X,
          int Y);
        void __fastcall rveItemTextEdit(TCustomRichViewEdit *Sender,
          const TRVRawByteString OldText, TCustomRVData *RVData, int ItemNo,
          int &NewTag, int &NewStyleNo);
        void __fastcall rveItemHint(TCustomRichView *Sender,
          TCustomRVData *RVData, int ItemNo, UnicodeString &HintText);
        void __fastcall cbUseCtrlClick(TObject *Sender);
        void __fastcall PopupMenu1Popup(TObject *Sender);
        void __fastcall mitRemoveHyperlinkClick(TObject *Sender);
        void __fastcall rvePaste(TCustomRichViewEdit *Sender,
          bool &DoDefault);
private:	// User declarations
        void __fastcall URLScanEvent(int OldStyleNo, int& NewStyleNo,
          bool ToHypertext);
        void __fastcall DisplayHint(TObject* Sender);
public:		// User declarations
    __fastcall TForm1(TComponent* Owner);
};
//---------------------------------------------------------------------------
extern TForm1 *Form1;
//---------------------------------------------------------------------------
#endif
